glibc-2.2 and gcc-2.95.2

Sergey Ostrovsky sostrovsky at snip.net
Tue Nov 14 12:24:52 PST 2000


Steve Jones wrote:

> I just want to verify that I did get a booting w/ networking
> installation of LFS-2.4.2 using glibc-2.2, ncurses-5.2 by using the
> previous posted patch for gcc-2.95.2 with almost no special tricks
> preformed to get right.  But then again I built it off of a regular
> LFS-2.4.2 system.

Thanks, I did not finish building my system yet, but everything is OK so far.

I think LFS version doesn't mater that much.
Just because all the packages are taken from the 'clean source', i.e.
they ( for sure ) are not patched by distribution makers just to cope with their
beta(s).
I also think this particular case with gcc is even theoretically harmless for us,
because just API which glibc-2.2 exports has been slightly changed.
Therefore, any incompatibilities can be discovered at compile phase.
And I am excited about brave people using beta compilers ...

Sergey Ostrovsky.



-- 
Unsubscribe: send email to lfs-apps-request at linuxfromscratch.org
and put unsubscribe in the subject header of the message




More information about the blfs-support mailing list